/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

/**
 * @author obper
 */

@Entity
public class proPremios implements Serializable {
    @Id
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Column(name = "nombre_consultor")
    private String nombreConsultor;
    @Column(name = "territorio_codigo")
    private String territorioCodigo;
    @Column(name = "programa_codigo")
    private String programaCodigo;
    @Column(name = "venta_programa_total_sin_descuento")
    private String ventaProgramaTotalSinDescuento;
    @Column(name = "nombre_premio")
    private String nombrePremio;
    @Column(name = "premio_siguiente")
    private String premioSiguiente;
    @Column(name = "dias_pago")
    private String diasPago;

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getNombreConsultor() {
        return nombreConsultor;
    }

    public void setNombreConsultor(String nombreConsultor) {
        this.nombreConsultor = nombreConsultor;
    }

    public String getTerritorioCodigo() {
        return territorioCodigo;
    }

    public void setTerritorioCodigo(String territorioCodigo) {
        this.territorioCodigo = territorioCodigo;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

    public String getVentaProgramaTotalSinDescuento() {
        return ventaProgramaTotalSinDescuento;
    }

    public void setVentaProgramaTotalSinDescuento(String ventaProgramaTotalSinDescuento) {
        this.ventaProgramaTotalSinDescuento = ventaProgramaTotalSinDescuento;
    }

    public String getNombrePremio() {
        return nombrePremio;
    }

    public void setNombrePremio(String nombrePremio) {
        this.nombrePremio = nombrePremio;
    }

    public String getPremioSiguiente() {
        return premioSiguiente;
    }

    public void setPremioSiguiente(String premioSiguiente) {
        this.premioSiguiente = premioSiguiente;
    }

    public String getDiasPago() {
        return diasPago;
    }

    public void setDiasPago(String diasPago) {
        this.diasPago = diasPago;
    }

    public proPremios() {
    }

}
